Create a WebhookAsk AIpost https://api.tive.com/public/v3/WebhooksCreate a webhook for the specified accounts.Body Paramsnamestringrequiredlength ≥ 1The unique name of the webhook.urlstringrequiredlength ≥ 1The URL of where webhook data is being sent.descriptionstring | nullA description of what the webhook is being used for.versionstring | nullThe webhook version. Each version has different data template.templatestring | nullThe template of data being sent in the webhook. If null, the default template will be used.headersarray of objects | nullOptionally provides the ability to pass along custom data such as a client secret.headersADD objectaccountIdsarray of int32s | nullA list of account IDs associated with the webhook.accountIdsADD int32httpMethodstring | nullThe HTTP method used in the webhook request. Values include POST, PUT, or PATCH. Defaults to POST.contentTypestring | nullThe type of content being transmitted in the request. Defaults to application/json.enabledbooleanrequiredDetermines if the webhook is enabled or not.truefalseapplyToAllTrackersbooleanThe webhook will be triggered for every device measurement within the applicable account(s). At least one of the applyToAll fields must be set to true.truefalseapplyToAllShipmentsbooleanApply the webhook to trigger on all shipment events within the applicable account(s). At least one of the applyToAll fields must be set to true.truefalseapplyToAllAlertPresetsbooleanApply the webhook to trigger on all alert preset alerts within the applicable account(s). At least one of the applyToAll fields must be set to true.truefalseHeadersx-tive-account-idint32requiredID of the account the request will be made in.acceptstringenumDefaults to application/jsonGenerated from available response content typesapplication/jsontext/jsontext/plainAllowed:application/jsontext/jsontext/plainResponses 201The created webhook id 400Unable to create the webhook. See response message for details. 401UnauthorizedUpdated 7 months ago